---
title: OscillatorNode.stop()
slug: Web/API/OscillatorNode/stop
tags:
  - API
  - Method
  - OscillatorNode
  - Reference
  - Web Audio API
  - stop
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <strong><code>stop</code></strong> method of the {{ domxref("OscillatorNode") }} interface specifies the time to stop playing the tone. Its parameter is optional and defaults to <code>0</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">oscillator.stop(<em>when</em>); // stop playing oscillator at <em>when</em></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>when </em>{{optional_inline}}</dt>
 <dd>An optional double representing the <a href="/en-US/docs/Web/API/AudioContext/currentTime">audio context time</a> when the oscillator should stop. If a value is not included, it defaults to <code>0</code>. If the time is equal to or before the current audio context time, the oscillator will stop playing immediately.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example shows basic usage of an {{ domxref("AudioContext") }} to create an oscillator node. For an applied example, check out our <a href="https://mdn.github.io/violent-theremin/">Violent Theremin demo</a> (<a href="https://github.com/mdn/violent-theremin/blob/gh-pages/scripts/app.js">see app.js</a> for relevant code).</p>

<pre class="brush: js;highlight[11]">// create web audio api context
var audioCtx = new (window.AudioContext || window.webkitAudioContext)();

// create Oscillator node
var oscillator = audioCtx.createOscillator();
oscillator.connect(audioCtx.destination);

oscillator.start();

oscillator.stop(audioCtx.currentTime + 2); // stop 2 seconds after the current time
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioscheduledsourcenode-stop', 'stop')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OscillatorNode.stop")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
